MHonArc::UTF8::MapUTF8(3)

NAME
MHonArc::UTF8::MapUTF8 - UTF-8 Unicode::MapUTF8-based routines for MHonArc

SYNOPSIS
  use MHonArc::UTF8::MapUTF8;

DESCRIPTION
MHonArc::UTF8::MapUTF8 provides UTF-8 related routines for use in MHonArc by use Perl's v5.6, or later, Unicode::MapUTF8 module, which is available via CPAN.

This module is generally not accessed directly since it is used by MHonArc::UTF8 when determining what encoding routines it can use based on your perl installation.

FUNCTIONS

"to_utf8($data, $from_charset, $to_charset)"
    Converts $data encoded in $from_charset into UTF-8. $to_charset is ignored since it assumed to be "utf-8".

"str2sgml($data, $charset)"
    All data passed in is converted to utf-8 with HTML specials converted into entity references.

"clip($text, $clip_len, $is_html, $has_tags)"
    Clip $text to $clip_len number of characters.

SEE ALSO
MHonArc::UTF8

VERSION
"$Id: MapUTF8.pm,v 1.2 2003/03/05 22:17:15 ehood Exp $"

AUTHOR
Earl Hood, earl@earlhood.com

MHonArc comes with ABSOLUTELY NO WARRANTY and MHonArc may be copied only under the terms of the GNU General Public License, which may be found in the MHonArc distribution.